Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class JimiMultiImageRasterEncoder

    java.lang.Object
      |
      +--com.sun.jimi.core.util.ProgressMonitorSupport
            |
            +--com.sun.jimi.core.JimiRasterEncoderSupport
                  |
                  +--com.sun.jimi.core.JimiMultiImageRasterEncoder

public abstract class JimiMultiImageRasterEncoder
extends JimiRasterEncoderSupport

Superclass for raster-based decoders for image file formats supporting more than one image per file.

Fields inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`currentProgressLevel, progressListener`

Constructor Summary
`JimiMultiImageRasterEncoder()`

Method Summary
`abstract void` | `doEncodeImages(JimiRasterImageEnumeration jimiImages, java.io.OutputStream output)` `doEncodeImages` is the method which must be implemented by subclasses.
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output)` Implementation delegating to `doEncodeImages`
`void` | `encodeImages(JimiImageEnumeration jimiImages, java.io.OutputStream output, ProgressListener listener)` Implementation delegating to `doEncodeImages`
`void` | `setProgress(int progressLevel)` Set the progress level.

Methods inherited from class com.sun.jimi.core.util.ProgressMonitorSupport
`setProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JimiMultiImageRasterEncoder

    public JimiMultiImageRasterEncoder()

Method Detail

### encodeImages

    public final void encodeImages(JimiImageEnumeration jimiImages,
                                   java.io.OutputStream output)
                            throws JimiException

  Implementation delegating to `doEncodeImages`

### encodeImages

    public final void encodeImages(JimiImageEnumeration jimiImages,
                                   java.io.OutputStream output,
                                   ProgressListener listener)
                            throws JimiException

  Implementation delegating to `doEncodeImages`

### doEncodeImages

    public abstract void doEncodeImages(JimiRasterImageEnumeration jimiImages,
                                        java.io.OutputStream output)
                                 throws JimiException,
                                        java.io.IOException

  `doEncodeImages` is the method which must be implemented by subclasses. It takes the series of JimiRasterImages and encodes them to the output stream.
  Parameters:
    `jimiImages` - the images to encode
    `output` - the stream to encode to

### setProgress

    public void setProgress(int progressLevel)

  Set the progress level.
  Parameters:
    `progressLevel` - the level of progress, between 0 and 1000 inclusive
  Overrides:
    setProgress in class ProgressMonitorSupport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD